package com.visa.checkout.integration.nativesampleapp;

import android.os.Bundle;
import android.support.v7.app.AppCompatActivity;
import android.util.Log;
import com.visa.checkout.CheckoutButton;
import com.visa.checkout.VisaCheckoutSdk;
import com.visa.checkout.VisaPaymentSummary;

/**
 * * Copyright © 2018 Visa. All rights reserved.
 */

public class PaymentStartActivity extends AppCompatActivity {

    private static final String TAG = PaymentStartActivity.class.getSimpleName();

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_payment_start);

        CheckoutButton checkoutButton = findViewById(R.id.visaCheckoutButton);
        checkoutButton.init(this, ConfigureVisaPaymentInfo.getProfile(),
            ConfigureVisaPaymentInfo.getPurchaseInfo(),
            new VisaCheckoutSdk.VisaCheckoutResultListener() {
                @Override
                public void onResult(VisaPaymentSummary visaPaymentSummary) {
                    if (VisaPaymentSummary.PAYMENT_SUCCESS.equalsIgnoreCase(
                        visaPaymentSummary.getStatusName())) {
                        Log.d(TAG, "Success");
                    } else if (VisaPaymentSummary.PAYMENT_CANCEL.equalsIgnoreCase(
                        visaPaymentSummary.getStatusName())) {
                        Log.d(TAG, "Canceled");
                    } else if (VisaPaymentSummary.PAYMENT_ERROR.equalsIgnoreCase(
                        visaPaymentSummary.getStatusName())) {
                        Log.d(TAG, "Error");
                    } else if (VisaPaymentSummary.PAYMENT_FAILURE.equalsIgnoreCase(
                        visaPaymentSummary.getStatusName())) {
                        Log.d(TAG, "Generic Unknown failure");
                    }
                }
            });
    }
}
